=== modified file 'debian/changelog'
--- debian/changelog	2010-12-17 13:16:51 +0000
+++ debian/changelog	2010-12-17 13:39:50 +0000
@@ -2,7 +2,9 @@
 
   * src/crash.c: if there is no systray report at least the user issues.
     The code should still be ported to use an indicator later on.
-    Don't spam the session log with the crash names either.
+  * src/crash.c: Don't spam the session log with the crash names either.
+  * src/crash.c, src/reboot.c, src/update-notifier.c:
+    - clear some debug calls to keep the session log clean
     
  -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 17 Dec 2010 11:25:12 +0100
 

=== modified file 'src/crash.c'
--- src/crash.c	2010-12-17 13:16:51 +0000
+++ src/crash.c	2010-12-17 13:39:50 +0000
@@ -35,7 +35,6 @@
 static gboolean 
 run_apport(TrayApplet *ta)
 {
-   g_debug("fire up the crashreport tool\n");
    if (check_system_crashes() && gtk_status_icon_is_embedded (ta->tray_icon)) {
        invoke_with_gksu(CRASHREPORT_REPORT_APP, 
 	_("<span weight=\"bold\" size=\"larger\">Please enter your password to access problem reports of system programs</span>"),
@@ -109,7 +108,6 @@
    // Check whether the user doesn't want notifications
    if (!gconf_client_get_bool ((GConfClient*) ta->user_data,
        GCONF_KEY_APPORT_NOTIFICATIONS, NULL)) {
-       g_debug("apport notifications disabled in gconf, not displaying crashes");
        return FALSE;
    }
 

=== modified file 'src/reboot.c'
--- src/reboot.c	2010-09-03 09:56:44 +0000
+++ src/reboot.c	2010-12-17 13:39:50 +0000
@@ -178,7 +178,6 @@
       res =  FALSE;
    }
 
-   g_debug("aptdaemon on bus: %i", res);
    return res;
 }
 
@@ -242,7 +241,6 @@
 	// no auto-open of this dialog 
 	if(gconf_client_get_bool((GConfClient*) ta->user_data,
 				 GCONF_KEY_AUTO_LAUNCH, NULL)) {
-	   g_debug ("Skipping reboot required");
 	   return;
 	}
 

=== modified file 'src/update-notifier.c'
--- src/update-notifier.c	2010-10-05 16:33:46 +0000
+++ src/update-notifier.c	2010-12-17 13:39:50 +0000
@@ -349,13 +349,11 @@
    }
 
    if(un->crashreport_pending) {
-      g_print("checking for valid crashreport now\n");
       crashreport_check (un->crashreport);
       un->crashreport_pending = FALSE;
    }
 
    if(un->unicast_local_avahi_pending) {
-      g_print("checking for disabled avahi due to unicast .local domain now\n");
       avahi_disabled_check ();
       un->unicast_local_avahi_pending = FALSE;
    }

